// atalanta.cpp : Defines the entry point for the console application.
//
#include "Atpg.h"
#include "Simulation.h"

#include <stdio.h>
#include <vector>

using namespace atalantadll;

int main(int argc, char** argv)
{
	int res = 0;
	fstream bench, pat;
	


	
	try {
		Atalanta *simulation=new Atalanta();
		res=simulation->simulationSet("c17.bench");
		cout <<"simulation set ..."<<endl;

		//while(1){
           
			cout << "x : " << simulation->setFltIndex()<<endl;
			cout<< "pokryto : "<< simulation->simulationVct("01111")<< endl;
            cout << "x : " << simulation->setFltIndex()<<endl;
			cout<< "pokryto : "<< simulation->simulationVct("11111")<< endl;
			cout << "x : " << simulation->setFltIndex()<<endl;
			cout<< "pokryto : "<< simulation->simulationVct("10010")<< endl;
			cout << "x : " << simulation->setFltIndex()<<endl;
			cout<< "pokryto : "<< simulation->simulationVct("01010")<< endl;
			cout << "x : " << simulation->setFltIndex()<<endl;
			cout<< "pokryto : "<< simulation->simulationVct("01100")<< endl;
			cout << "x : " << simulation->setFltIndex()<<endl;
			cout<< "pokryto : "<< simulation->simulationVct("00011")<< endl;
			cout << "x : " << simulation->setFltIndex()<<endl;

		//}
	
	//	simulation->setFltIndex();
	
     

		
		/*cout << "from : "<<simulation->findex->Findex<<endl;
		cout << "to   : "<<simulation->findex->Tindex<<endl;
		cout << "typ  : "<<simulation->findex->Typ<<endl;
*/
		//res=simulation->run(argc, argv);

		
	}
	catch(string s) {
		cerr << s;
	}
	catch(...) {
		cerr << "Uknown exception";
	}
	return res;	
}



